from fastapi import APIRouter, Depends
from sqlalchemy.ext.asyncio import AsyncSession

from app.db.session import get_db

router = APIRouter()

@router.get("")
async def health_check(db: AsyncSession = Depends(get_db)):
    """
    Health check endpoint to verify API and database connectivity.
    """
    return {
        "status": "healthy",
        "database": "connected",
        "message": "API is running correctly"
    }